Bug 817028 - mdadm: imsm: second volume must have size of whole free space left on devices
mdadm: imsm: second volume must have size of whole free space left on devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 09:24 EDT by Jes Sorensen
Modified: 2012-07-11 19:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 22:48:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2012-04-27 09:24:13 EDT
Description of problem:
When the second volume is being created in imsm container using the container
in command line instead of real devices, e.g.:
# mdadm -CR /dev/md/raid0 -l 0 -n 2 -z5G /dev/md/imsm
it can be created with the size less then remaining free space.

Version-Release number of selected component (if applicable):
mdadm v.3.2.3

Additional info:
The following patch from Neil's repo ensures that second volume on the 2 volume
imsm array spans whole available free space (it is needed for compatibility
with other OSes (MS Windows)):

imsm: fix, the second array need to have the whole available space on devices
commit: f878b24226953f06912ebceb2c811edf36818d2f
link:
http://neil.brown.name/git?p=mdadm;a=commitdiff;h=f878b24226953f06912ebceb2c811edf36818d2f
Comment 1 Fedora Update System 2012-05-02 06:09:33 EDT
mdadm-3.2.3-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc17
Comment 2 Fedora Update System 2012-05-02 06:15:36 EDT
mdadm-3.2.3-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc16
Comment 3 Fedora Update System 2012-05-02 06:19:24 EDT
mdadm-3.2.3-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc15
Comment 4 Fedora Update System 2012-05-02 16:34:30 EDT
Package mdadm-3.2.3-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.3-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7105/mdadm-3.2.3-9.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-10 10:48:58 EDT
mdadm-3.2.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc17
Comment 6 Fedora Update System 2012-05-10 10:51:32 EDT
mdadm-3.2.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc16
Comment 7 Fedora Update System 2012-05-10 10:54:16 EDT
mdadm-3.2.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc15
Comment 8 Fedora Update System 2012-05-15 12:36:20 EDT
mdadm-3.2.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc17
Comment 9 Fedora Update System 2012-05-15 12:42:44 EDT
mdadm-3.2.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc16
Comment 10 Fedora Update System 2012-05-15 12:47:26 EDT
mdadm-3.2.4-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc15
Comment 11 Fedora Update System 2012-05-21 11:08:20 EDT
mdadm-3.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc17
Comment 12 Fedora Update System 2012-05-21 11:14:38 EDT
mdadm-3.2.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc16
Comment 13 Fedora Update System 2012-05-21 11:20:11 EDT
mdadm-3.2.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc15
Comment 14 Fedora Update System 2012-06-06 22:48:56 EDT
mdadm-3.2.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-06-06 22:52:08 EDT
mdadm-3.2.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-06-26 03:16:31 EDT
mdadm-3.2.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-3.fc17
Comment 17 Fedora Update System 2012-07-11 19:54:17 EDT
mdadm-3.2.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.